Show / Hide Table of Contents

# Delegate WorkspaceService<TConfig>.TextDocChangeCallback

Delegate for callbacks that occur when the current text document changes

###### Namespace:Microsoft.SqlTools.ServiceLayer.Workspace

###### Assembly:Microsoft.SqlTools.ServiceLayer.dll

##### Syntax

    public delegate Task TextDocChangeCallback(ScriptFile[] changedFiles, EventContext eventContext);

##### Parameters

Type | Name | Description
--- | --- | ---
ScriptFile[] | changedFiles | Array of files that changed
EventContext | eventContext | Context of the event raised for the changed files

##### Returns

Type | Description
--- | ---
System.Threading.Tasks.Task |